﻿using System;
using System.Collections.Generic;
using System.Data.Services.Common;
using System.Linq;
using System.Web;

namespace SyncFusionTreeGridExample.Service
{
    [DataServiceKey("LocalFacilityId")]
    public class Facility
    {
        public String LocalFacilityId { get; set; }

        public decimal LimitAmount1M { get; set; }
    }

    public class SampleContext
    {
        private static IList<Facility> _facilities;

        static SampleContext()
        {
            _facilities = new List<Facility>();
            _facilities.Add(new Facility() {LocalFacilityId = "12345",LimitAmount1M = 123.52M});
            _facilities.Add(new Facility() { LocalFacilityId = "123456", LimitAmount1M = 1111.16M });
            _facilities.Add(new Facility() { LocalFacilityId = "1234567", LimitAmount1M = 411.12M });
            _facilities.Add(new Facility() { LocalFacilityId = "12345678", LimitAmount1M = 40000.10M });
        }

        public IQueryable<Facility> Facility
        {
            get { return _facilities.AsQueryable(); }
        }
    }
}